	program magics

	call popen

	call psetr("subpage_y_min", 25.00)
	call psetc("subpage_x_date_max", "2012-03-07 12:00:00")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 75.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_date_min", "2012-03-01 12:00:00")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_tick_label_height')
	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_tick_label_colour')
	call preset('axis_type')
	call preset('axis_grid')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.50)
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_minor_tick", "on")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_type')
	call preset('axis_days_label_height')
	call preset('axis_grid')
	call preset('axis_months_label_height')
	call preset('axis_years_label_height')
	call preset('axis_grid_line_style')
	call preset('axis_minor_tick')
	call preset('axis_grid_colour')

	call psetc("input_x_type", "date")
	call pset1r("input_y_component_values", (/0.00, 20.00, 0.00/), 3)
	call pset1c("input_date_x_values", (/"2012-03-02 00:00:00", "2012-03-03 12:00:00", "2012-03-05 00:00:00"/), 3)
	call pset1r("input_x_component_values", (/50.00, 0.00, -50.00/), 3)
	call pset1r("input_y_values", (/35.00, 45.00, 55.00/), 3)
	call pinput

	call preset('input_x_type')
	call preset('input_y_component_values')
	call preset('input_date_x_values')
	call preset('input_x_component_values')
	call preset('input_y_values')

	call psetc("symbol_type", "wind")
	call psetc("legend", "off")
	call psetc("wind_arrow_colour", "red")
	call psymb

	call preset('symbol_type')
	call preset('legend')
	call preset('wind_arrow_colour')

	call pset1c("text_lines", (/"Using Wind as  symbol ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
